package com.eactive.eai.batch.osd;

import java.io.Serializable;

public class OutsideVO implements Serializable
{
    private static final long serialVersionUID = 1L;
    String BatchCode;
    String BatchName;
    String OsdCode;
    String OsdName;
    String AdpGroupName;
    String SendRuleCode;
    String RecvRuleCode;
    String OsdSendPrpt;  // 대외기관 파일송신 특성치 : R 요구송신, A 응답송신
    String OsdRecvPrpt;  // 대외기관 파일수신 특성치 : R 요구수신, A 응답수신
    int BlkSize;
    int SequenceSize;
    int BizCdStartIdx;
    int BizCdEndIdx;
    int PacketSize ;

    public int getPacketSize() {
        return this.PacketSize;
    }

    public void setPacketSize(int packetsize) {
        this.PacketSize = packetsize;
    }

    public int getBizCdStartIdx() {
        return this.BizCdStartIdx;
    }

    public void setBizStartIdx(int startIdx) {
        this.BizCdStartIdx = startIdx;
    }

    public int getBizCdEndIdx() {
        return this.BizCdEndIdx;
    }

    public void setBizEndIdx(int endIdx) {
        this.BizCdEndIdx = endIdx;
    }

    public String getBatchCode() {
        return this.BatchCode;
    }
    public void setBatchCode(String BatchCode) {
        this.BatchCode = BatchCode;
    }

    public String getBatchName() {
        return this.BatchName;
    }
    public void setBatchName(String BatchName) {
        this.BatchName = BatchName;
    }

    public String getOsdCode() {
        return this.OsdCode;
    }
    public void setOsdCode(String OsdCode) {
        this.OsdCode = OsdCode;
    }
    public String getOsdName() {
        return this.OsdName;
    }
    public void setOsdName(String OsdName) {
        this.OsdName = OsdName;
    }
    public String getAdpGroupName() {
        return this.AdpGroupName;
    }
    public void setAdpGroupName(String AdpGroupName) {
        this.AdpGroupName = AdpGroupName;
    }
    public String getSendRuleCode() {
        return this.SendRuleCode;
    }
    public void setSendRuleCode(String SendRuleCode) {
        this.SendRuleCode = SendRuleCode;
    }
    public String getRecvRuleCode() {
        return this.RecvRuleCode;
    }
    public void setRecvRuleCode(String RecvRuleCode) {
        this.RecvRuleCode = RecvRuleCode;
    }
    public String getOsdSendPrpt() {
        return this.OsdSendPrpt;
    }
    public void setOsdSendPrpt(String OsdSendPrpt) {
        this.OsdSendPrpt = OsdSendPrpt;
    }
    public String getOsdRecvPrpt() {
        return this.OsdRecvPrpt;
    }
    public void setOsdRecvPrpt(String OsdRecvPrpt) {
        this.OsdRecvPrpt = OsdRecvPrpt;
    }
    public int getBlkSize() {
        return this.BlkSize;
    }
    public void setBlkSize(int blksize) {
        this.BlkSize = blksize;
    }
    public int getSequenceSize() {
        return this.SequenceSize;
    }
    public void setSequenceSize(int sequencesize) {
        this.SequenceSize = sequencesize;
    }

    public String toString(){
        StringBuffer sb = new StringBuffer();
        sb.append("[BatchCode              -->" + BatchCode              + "]\n" );
        sb.append("[BatchName              -->" + BatchName              + "]\n" );
        sb.append("[OsdCode                -->" + OsdCode                + "]\n" );
        sb.append("[OsdName                -->" + OsdName                + "]\n" );
        sb.append("[AdpGroupName           -->" + AdpGroupName           + "]\n" );
        sb.append("[SendRuleCode           -->" + SendRuleCode           + "]\n" );
        sb.append("[RecvRuleCode           -->" + RecvRuleCode           + "]\n" );
        sb.append("[OsdSendPrpt            -->" + OsdSendPrpt            + "]\n" );
        sb.append("[OsdRecvPrpt            -->" + OsdRecvPrpt            + "]\n" );
        sb.append("[BlkSize                -->" + BlkSize                + "]\n" );
        sb.append("[SequenceSize           -->" + SequenceSize           + "]\n" );
        sb.append("[BizCdStartIdx          -->" + BizCdStartIdx          + "]\n" );
        sb.append("[BizCdEndIdx            -->" + BizCdEndIdx            + "]\n" );
        sb.append("[PacketSize             -->" + PacketSize             + "]\n" );
        return sb.toString();
    }

}
